Summary:	Font rendering capabilities for complex non-Roman writing systems
Summary(pl.UTF-8):	Wsparcie renderowania złożonych systemów pisma nierzymskiego
Name:		graphite2
Version:	1.1.3
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/silgraphite/%{name}-%{version}.tgz
# Source0-md5:	cf74634f137ce9e651ec664870611e1a
Patch0:		%{name}-1.0.2-no_harfbuzz_tests.patch
Patch1:		%{name}-fix_wrong_linker_opts.patch
Patch2:		%{name}-includes-libs-perl.patch
URL:		http://graphite.sil.org/
BuildRequires:	cmake >= 2.8.0
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
# the rest for tests only
BuildRequires:	freetype-devel >= 2
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libicu-devel
BuildRequires:	silgraphite-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Graphite is a project within SIL's Non-Roman Script Initiative and
Language Software Development groups to provide rendering capabilities
for complex non-Roman writing systems. Graphite can be used to create
"smart fonts" capable of displaying writing systems with various
complex behaviors. With respect to the Text Encoding Model, Graphite
handles the "Rendering" aspect of writing system implementation.

%description -l pl.UTF-8
Graphite to projekt w ramach grup SIL Non-Roman Script Initiative
(inicjatywy pism nierzymskich SIL) oraz Language Software Development
(tworzenia oprogramowania językowego) mający na celu zapewnienie
wsparcia dla złożonych systemów pisma nierzymskiego. Graphite może być
używany do tworzenia "inteligentnych fontów", będących w stanie
wyświelać systemy pisma o różnych złożonych zachowaniach.
Uwzględniając model kodowania tekstu (Text Encoding Model) Graphite
obsługuje aspekt renderowania całości implementacji systemów pisma.

%package devel
Summary:	Header files for graphite2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki graphite2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for graphite2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki graphite2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
install -d build
cd build
%cmake .. \
	-DGRAPHITE2_VM_TYPE=direct

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}

# cmake's fake (with no dependencies); also obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgraphite2.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog doc/*.txt
%attr(755,root,root) %{_bindir}/gr2fonttest
%attr(755,root,root) %{_libdir}/libgraphite2.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgraphite2.so
%{_includedir}/graphite2
%{_pkgconfigdir}/graphite2.pc
%{_datadir}/graphite2
%changelog
* Wed Sep 19 2012 Jakub Bogusz <qboosh@pld-linux.org> 54adfbe
- updated to 1.1.3

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0379d63
- release 2 (by relup.sh)

* Wed Mar 28 2012 Jakub Bogusz <qboosh@pld-linux.org> b01b9f9
- updated to 1.1.1
- pl
- updated fix_wrong_linker_opts,includes-libs-perl patches

* Fri Oct 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9893ab4
- rel 1; fix files

* Thu Oct 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 451819a
- from gentoo

* Thu Oct 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ff6aecc
- almost raw

* Sat Dec 18 2010 Marcin Banasiak <marcin.banasiak@gmail.com> b1e07fb
- new

